com.mysql.cj.conf

## Interface DatabaseUrlContainer

All Known Implementing Classes:
  ConnectionUrl, ConnectionUrlParser, HostInfo

    public interface DatabaseUrlContainer

Implementors of this class must be able to provide a database URL.

### Method Summary

All Methods Instance Methods Abstract Methods
`String` `getDatabaseUrl()` Returns the original database URL that produced this connection string.

### Method Detail

#### getDatabaseUrl

    String getDatabaseUrl()

Returns the original database URL that produced this connection string.

Returns:
  the original database URL

Copyright © 2016, 2024, Oracle and/or its affiliates.